## org.eclipse.uml2.uml.editor.actions
Class UMLCommandAction.TextComparator<T>

    java.lang.Object
      org.eclipse.uml2.uml.editor.actions.UMLCommandAction.TextComparator<T>

All Implemented Interfaces:
  java.util.Comparator<T>

Enclosing class:
  UMLCommandAction

    protected class UMLCommandAction.TextComparator<T>

extends java.lang.Object
implements java.util.Comparator<T>

Constructor Summary
`protected` `UMLCommandAction.TextComparator()`

Method Summary
`int` `compare(T t1, T t2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### UMLCommandAction.TextComparator

    protected UMLCommandAction.TextComparator()

Method Detail

### compare

    public int compare(T t1,
                       T t2)

  Specified by:
    `compare` in interface `java.util.Comparator<T>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.